## class OSGGA_EXPORT osgGA::CameraManipulator

## Inheritance:

### Public Methods

virtual const char* className() const
virtual void setCamera(osg::Camera*)
  Attach a camera to the manipulator to be used for specifying view
virtual const osg::Camera* getCamera() const
  Get the attached camera
virtual osg::Camera* getCamera()
  Get the attached camera
virtual void setNode(osg::Node*)
  Attach a node to the manipulator, automatically detaching any previously attached node.
virtual const osg::Node* getNode() const
  Return const node if attached
virtual osg::Node* getNode()
  Return node if attached
virtual void home(const GUIEventAdapter&, GUIActionAdapter&)
  Move the camera to the default position.
virtual void init(const GUIEventAdapter&, GUIActionAdapter&)
  Start/restart the manipulator.
virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)
  Handle events, return true if handled, false otherwise.
virtual void accept(GUIEventHandlerVisitor& v)
  Handle visitations

### Protected Fields

osg::ref_ptr<osg::Camera> _camera

### Protected Methods

CameraManipulator()
virtual ~CameraManipulator()

### Inherited from GUIEventHandler:

### Public Methods

META_Object (osgGA, GUIEventHandler) const () const
virtual CompositeGUIEventHandler* getComposite()
virtual void getUsage(osg::ApplicationUsage&) const

## Documentation

> CameraManipulator is an abstract base class defining the interface, and a certain amount of default functionality, for classes which wish to control OSG cameras in response to GUI events.

`virtual const char* className() const`

`virtual void setCamera(osg::Camera*)`
  Attach a camera to the manipulator to be used for specifying view

`virtual const osg::Camera* getCamera() const`
  Get the attached camera

`virtual osg::Camera* getCamera()`
  Get the attached camera

`virtual void setNode(osg::Node*)`
  Attach a node to the manipulator, automatically detaching any previously attached node. setNode(NULL) detaches previous nodes. May be ignored by manipulators which do not require a reference model.

`virtual const osg::Node* getNode() const`
  Return const node if attached

`virtual osg::Node* getNode()`
  Return node if attached

`virtual void home(const GUIEventAdapter&, GUIActionAdapter&)`
  Move the camera to the default position. May be ignored by manipulators if home functionality is not appropriate.

`virtual void init(const GUIEventAdapter&, GUIActionAdapter&)`
  Start/restart the manipulator. FIXME: what does this actually mean? Provide examples.

`virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)`
  Handle events, return true if handled, false otherwise.

`virtual void accept(GUIEventHandlerVisitor& v)`
  Handle visitations

`CameraManipulator()`

`virtual ~CameraManipulator()`

`osg::ref_ptr<osg::Camera> _camera`

Direct child classes:
  TrackballManipulator
  KeySwitchCameraManipulator
  FlightManipulator
  DriveManipulator
  AnimationPathManipulator

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.